package cn.com.qmth.stmms.ms.marking.dto;

import java.io.Serializable;

import cn.com.qmth.stmms.ms.commons.utils.excel.ExcelProperty;
import cn.com.qmth.stmms.ms.core.domain.MarkStage;
import cn.com.qmth.stmms.ms.core.domain.user.MarkRight;
import cn.com.qmth.stmms.ms.core.domain.user.Role;
import cn.com.qmth.stmms.ms.core.vo.Subject;

/**
 * Created by zhengmin on 2016/10/20.
 */
public class MarkerDTO implements Serializable{

    private static final long serialVersionUID = -3301693970732613743L;

    private Long id;
    @ExcelProperty(name = "姓名", index = 0 ,type = 1)
    private String name;
    private Long workId;
    private Subject subject;
    private String markSubjectId;
    private MarkStage markStage;
    private MarkRight markRight;
    private String groupId;
    private String loginName;
    private String password;
    private boolean enabled;
    private Role role;

    public Long getId() {
        return id;
    }

    public void setId(Long id) {
        this.id = id;
    }

    public String getName() {
        return name;
    }

    public void setName(String name) {
        this.name = name;
    }

    public Long getWorkId() {
        return workId;
    }

    public void setWorkId(Long workId) {
        this.workId = workId;
    }

    public Subject getSubject() {
        return subject;
    }

    public void setSubject(Subject subject) {
        this.subject = subject;
    }

    public String getMarkSubjectId() {
        return markSubjectId;
    }

    public void setMarkSubjectId(String markSubjectId) {
        this.markSubjectId = markSubjectId;
    }

    public MarkStage getMarkStage() {
        return markStage;
    }

    public void setMarkStage(MarkStage markStage) {
        this.markStage = markStage;
    }

    public MarkRight getMarkRight() {
        return markRight;
    }

    public void setMarkRight(MarkRight markRight) {
        this.markRight = markRight;
    }

    public String getGroupId() {
        return groupId;
    }

    public void setGroupId(String groupId) {
        this.groupId = groupId;
    }

    public String getLoginName() {
        return loginName;
    }

    public void setLoginName(String loginName) {
        this.loginName = loginName;
    }

    public String getPassword() {
        return password;
    }

    public void setPassword(String password) {
        this.password = password;
    }

    public boolean isEnabled() {
        return enabled;
    }

    public void setEnabled(boolean enabled) {
        this.enabled = enabled;
    }

    public Role getRole() {
        return role;
    }

    public void setRole(Role role) {
        this.role = role;
    }
}
